﻿using System.Windows;

namespace VideoprokatApp
{
    public partial class AddEditWindow : Window
    {
        public Videoteka Videoteka { get; set; }

        public AddEditWindow()
        {
            InitializeComponent();
            Videoteka = new Videoteka();
            DataContext = Videoteka;
        }

        public AddEditWindow(Videoteka videoteka) : this()
        {
            Videoteka = videoteka;
            DataContext = Videoteka;
        }

        private void SaveButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            this.Close();
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            this.Close();
        }
    }
}
